Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security
Class UnauthorizedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.security.GeneralSecurityException
                  org.deegree.security.UnauthorizedException

All Implemented Interfaces:
  Serializable

    public class UnauthorizedException

extends GeneralSecurityException

Marks that the requested operation is not permitted.

Version:
  $Revision: 18195 $
Author:
  Markus Schneider
See Also:
  Serialized Form

Field Summary
`(package private) String` | `message`

Constructor Summary
`UnauthorizedException()`
`UnauthorizedException(String message)`
`UnauthorizedException(String message, Throwable arg1)`
`UnauthorizedException(Throwable arg0)`

Method Summary
`String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### message

    String message

Constructor Detail

### UnauthorizedException

    public UnauthorizedException()

### UnauthorizedException

    public UnauthorizedException(String message)

Parameters:
  `message` -

### UnauthorizedException

    public UnauthorizedException(String message,
                                 Throwable arg1)

Parameters:
  `message` -
  `arg1` -

### UnauthorizedException

    public UnauthorizedException(Throwable arg0)

Parameters:
  `arg0` -

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org